%define name normalize
%define version 0.7.7
%define release %mkrel 11

# --with xmms, default off
%bcond_with	xmms

Summary:	A tool for adjusting the volume of wave files
Name:		normalize
Version:	0.7.7
Release:	11
Source0:	%{name}-%{version}.tar.bz2
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-fix-local-config.patch
License:	GPLv2+
URL:		http://normalize.nongnu.org/
Group:		Sound
%if %with xmms
BuildRequires:	xmms-devel
%endif
BuildRequires:  audiofile-devel
BuildRequires:  mad-devel
BuildRequires:  gettext-devel
BuildRequires:  automake1.8 libtool autoconf2.5

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level. This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure2_5x --with-audiofile \
%if %with xmms
	--enable-xmms
%else
	--disable-xmms
%endif
perl -pi -e 's/mkinstalldirs\s+=.*/mkinstalldirs = mkdir -p /' po/Makefile
%make

%install
%makeinstall_std
%{find_lang} %{name}
rm -f %{buildroot}%{_libdir}/xmms/Effect/librva.la

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%if %with xmms
%{_libdir}/xmms/Effect/librva.so
%endif



%changelog
* Tue Sep 06 2011 Johnny A. Solbu <solbu@mandriva.org> 0.7.7-11
+ Revision: 698494
- Forgot to add the patch file. Oops. ;-)=
- spec cleanup
- Removed unnecessary local config.

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - cleanup a bit further

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.7.7-10
+ Revision: 666619
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.7-9mdv2011.0
+ Revision: 606824
- rebuild

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.7-8mdv2010.1
+ Revision: 490983
- added two debian patches from normalize-audio_0.7.7-6.diff.gz

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.7-7mdv2010.0
+ Revision: 426253
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.7.7-6mdv2009.1
+ Revision: 351635
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-5mdv2009.0
+ Revision: 223347
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-3mdv2008.1
+ Revision: 153285
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sat Aug 04 2007 Anssi Hannula <anssi@mandriva.org> 0.7.7-2mdv2008.0
+ Revision: 58960
- add xmms build option for the xmms plugin, disable by default

